{
	"format_version" : "1.10.0",
	"animation_controllers" : {
		"controller.animation.minion.sit": {
			"states": {
			  "default": {
				"animations": [
					"creeper_legs"
			   
				],
				"transitions": [
				  {
					"sitting": "query.is_sitting"
				  }
			   
				],
				"blend_transition": 0.2
			  },
	  
			 
			  "sitting": {
				"animations": [
					"sit"
			   
				],
				
				"transitions": [
				  {
					"default": "!query.is_sitting"
				  }
				],
				"blend_transition": 0.2
			  }
			}
		  },
		"controller.animation.particle_minion": {
			"states": {
			  "default": {
						  "particle_effects" : [
							  {
								  "effect" : "charged_flames"
							  }
						  ]
			  }
			}
		  },
	  
		"controller.animation.mminion.drowned_general" : {
			"initial_state" : "default",
			"states" : {
				"crouch" : {
					"particle_effects" : [
						{
							"effect" : "charged_flames"
							
						}
					],
					"animations" : [
						"look_at_target",
						"roaring"
					
					],
					"blend_transition" : 0.6,
					"transitions" : [
						{
							"default" : "query.is_roaring == 0"
						},
						{
							"wiggle" : "query.is_interested"
						}
					]
				},
			
				"default" : {
					
				
					"blend_transition" : -0.4,
					"transitions" : [
						{
							"crouch" : "query.is_roaring == 1 "
						}
					
					
					]
				}	
			}
		},
		"controller.animation.mzombie.on_fire" : {
			"initial_state" : "default",
			"states" : {
				"fire" : {
					"particle_effects" : [
						{
							"effect" : "mutant_fire"
							
						}
					],
					
					"blend_transition" : 0.4,
					"transitions" : [
						{
							"default" : "query.is_roaring"
						}
						
					]
				},
				
				"default" : {
					
					
					"blend_transition" : 0.1,
					"transitions" : [
						{
							"fire" : "query.mark_variant == 3"
						}
					
					
					]
				}
			}
		},
		"controller.animation.mzombie.chemical" : {
			"initial_state" : "default",
			"states" : {
				
				"anger" : {
					"particle_effects" : [
						{
							"effect" : "chemical_flame"
						}
					],
					"blend_transition" : 0.4,
					"transitions" : [
						{
							"default" : "query.is_stunned"
						}
						
					]
				},
				"default" : {
					
					
					"blend_transition" : 0.1,
					"transitions" : [
					
						{ "anger": "query.is_sheared" }
					
					]
				}
			}
		}
	}
}
